<back to all web services

ConfigurationRequest

The following routes are available for this service:
POST/RestApi/nativechat/config

export class ConfigurationRequest
{
    public ApiKey: string;

    public constructor(init?: Partial<ConfigurationRequest>) { (Object as any).assign(this, init); }
}

TypeScript ConfigurationRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/nativechat/config HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<ConfigurationRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.NativeChatConnector.Services.DTO">
  <ApiKey>String</ApiKey>
</ConfigurationRequest>